Bug 1380257 - [RFE] eventsapi/georep: Events are not available for Checkpoint and Status Change
Summary: [RFE] eventsapi/georep: Events are not available for Checkpoint and Status Ch...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Aravinda VK
QA Contact: Sweta Anandpara
URL:
Whiteboard:
Depends On: 1379330 1386178
Blocks: 1351503
TreeView+ depends on / blocked
 
Reported: 2016-09-29 06:35 UTC by Aravinda VK
Modified: 2017-03-23 05:50 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.8.4-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1379330
Environment:
Last Closed: 2017-03-23 05:50:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Aravinda VK 2016-09-29 06:35:55 UTC
+++ This bug was initially created as a clone of Bug #1379330 +++

Description of problem:
Events are not available on checkpoint completion and on Worker status change.

Following events are required from Geo-replication

GEOREP_CHECKPOINT_COMPLETION => Completion Time and other details
GEOREP_STATUS_CHANGE  => Active to Passive or vise versa

Comment 3 Atin Mukherjee 2016-10-17 09:56:21 UTC
An upstream mainline patch http://review.gluster.org/15630 (WIP) posted for review.

Comment 4 Aravinda VK 2016-10-20 06:36:02 UTC
Posted Downstream Patch https://code.engineering.redhat.com/gerrit/87745

Comment 5 Aravinda VK 2016-10-20 06:37:01 UTC
New Events:
GEOREP_CHECKPOINT_COMPLETED
GEOREP_ACTIVE
GEOREP_PASSIVE

Comment 6 Atin Mukherjee 2016-10-20 06:55:01 UTC
upstream mainline patch : http://review.gluster.org/15630
upstream 3.9 patch : http://review.gluster.org/#/c/15672/
downstream patch : https://code.engineering.redhat.com/gerrit/87745

Comment 8 Sweta Anandpara 2016-12-16 09:35:58 UTC
Have executed scenarios and seen the geo-rep events newly introduced. 

Will be raising separate BZ in case I see any specific issue. Moving this BZ to verified in 3.2. 

{u'message': {u'checkpoint_time': u'1481880377', u'master_volume': u'ozone', u'master_node': u'10.70.47.60', u'master_node_id': u'8d3ab9e3-c086-4474-9db2-677d5018d055', u'slave_host': u'10.70.46.239', u'checkpoint_completion_time': u'1481880557', u'slave_volume': u'slave', u'brick_path': u'/bricks/brick0/ozone0'}, u'event': u'GEOREP_CHECKPOINT_COMPLETED', u'ts': 1481880557, u'nodeid': u'8d3ab9e3-c086-4474-9db2-677d5018d055'}

{u'message': {u'master_volume': u'ozone', u'master_node': u'10.70.47.27', u'brick_path': u'/bricks/brick0/ozone3', u'slave_host': u'10.70.46.239', u'slave_volume': u'slave', u'master_node_id': u'8d1aaf3a-059e-41c2-871b-6c7f5c0dd90b'}, u'event': u'GEOREP_ACTIVE', u'ts': 1481879152, u'nodeid': u'8d1aaf3a-059e-41c2-871b-6c7f5c0dd90b'}

{u'message': {u'master_volume': u'ozone', u'master_node': u'10.70.47.61', u'brick_path': u'/bricks/brick0/ozone1', u'slave_host': u'10.70.46.239', u'slave_volume': u'slave', u'master_node_id': u'f4b259db-7add-4d01-bb5e-3c7f9c077bb4'}, u'event': u'GEOREP_PASSIVE', u'ts': 1481879152, u'nodeid': u'f4b259db-7add-4d01-bb5e-3c7f9c077bb4'}

Comment 10 errata-xmlrpc 2017-03-23 05:50:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.